Configure Sync
curl --request POST \
--url https://api.jtl-cloud.com/erp/workers/{syncId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Interval": "<string>",
"Configs": [
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Value": "<string>"
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/workers/{syncId}"
payload = {
"Interval": "<string>",
"Configs": [
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Value": "<string>"
}
]
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Interval: '<string>',
Configs: [{Identifier: '3c90c3cc-0d44-4b50-8888-8dd25736052a', Value: '<string>'}]
})
};
fetch('https://api.jtl-cloud.com/erp/workers/{syncId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"SyncName": "<string>",
"SalesChannelName": "<string>",
"SalesChannelId": "<string>",
"ReportProgress": true,
"Configurations": [
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"DisplayName": "<string>",
"DisplayDescription": "<string>",
"Type": "<string>",
"CurrentValue": "<string>",
"IsRequired": true
}
],
"Interval": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}worker
Configure Sync
deprecated
Restart the Worker
POST
/
workers
/
{syncId}
Configure Sync
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the job to Configure Represents a configuration key that serves as a unique identifier for configuration entities.
Body
application/json
The relevant Information of the Sync Item
Response
The changed Worker Configuration
Model Class: WorkerSyncItem
The Unique Identifier of a Sync
the Name of the Sync
The Name of the Sales Channel
The SalesChannel for the Sync
The Sync can Report Progress in Percent
The Configurations
Show child attributes
Show child attributes
The Sync Interval
Was this page helpful?
⌘I